version: '3.8'
services:
    elasticsearch:
        image: docker.elastic.co/elasticsearch/elasticsearch:7.10.0
        ports:
            - 9200:9200
        environment:
            ES_JAVA_OPTS: '-Xms2048m -Xmx2048m'
            discovery.type: single-node
    logstash:
        image: docker.elastic.co/logstash/logstash:7.10.0
        ports:
            - 5044:5044
            - 25826:25826
        restart: on-failure
        depends_on:
            - elasticsearch
        volumes:
           - ./logstash/pipeline:/usr/share/logstash/pipeline/
           - ~/posadev2020logs:/usr/share/logstash/applogs/
    kibana:
        image: docker.elastic.co/kibana/kibana:7.10.0
        ports:
            - 5601:5601
        restart: on-failure
        depends_on:
            - elasticsearch
    dev-consul:
        image: consul
        ports:
            - 8500:8500
        environment:
                CONSUL_BIND_INTERFACE: eth0
    mongo:
        image: mongo:bionic
        ports:
            - 27017:27017
